diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
index 7dd63ff7..de93b3d4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/nodes.sql
@@ -14,6 +14,10 @@ AND
 db.datname in ({{db_restrictions}})
 {% endif %}
 
+{% if show_system_objects %}
 AND db.datistemplate in (false, {{show_system_objects}})
+{% else %}
+AND db.datistemplate in (false)
+{% endif %}
 
 ORDER BY datname;
